Loading...
Searching...
No Matches
IndexIter< IteratorT, FilterT >::ValueIndexIter Class Reference

A forward iterator over array indices from a value iterator (such as ValueOnCIter). More...

`#include <openvdb/points/IndexIterator.h>`

## Public Member Functions

| ValueIndexIter (const IteratorT &iter)
| ValueIndexIter (const ValueIndexIter &other)
ValueIndexIter & | operator= (const ValueIndexIter &)=default
Index32 | end () const
void | reset (Index32 item, Index32 end)
Index32 | operator* ()
| Returns the item to which this iterator is currently pointing.
Index32 | operator* () const
| operator bool () const
| Return `true` if this iterator is not yet exhausted.
bool | test () const
ValueIndexIter & | operator++ ()
| Advance to the next (valid) item (prefix).
bool | next ()
| Advance to the next (valid) item.
bool | increment ()
Coord | getCoord () const
| Return the coordinates of the item to which the value iterator is pointing.
void | getCoord (Coord &xyz) const
| Return in xyz the coordinates of the item to which the value iterator is pointing.
bool | isValueOn () const
| Return `true` if this iterator is pointing to an active value.
const IteratorT & | valueIter () const
| Return the const value iterator.
bool | operator== (const ValueIndexIter &other) const
| Equality operators.
bool | operator!= (const ValueIndexIter &other) const

## Detailed Description

template<typename IteratorT, typename FilterT>
class openvdb::v10_0::points::IndexIter< IteratorT, FilterT >::ValueIndexIter

A forward iterator over array indices from a value iterator (such as ValueOnCIter).

## Constructor & Destructor Documentation

## ValueIndexIter() [1/2]

template<typename IteratorT, typename FilterT>

ValueIndexIter | ( | const IteratorT & | iter | ) |

inline

## ValueIndexIter() [2/2]

template<typename IteratorT, typename FilterT>

ValueIndexIter | ( | const ValueIndexIter & | other | ) |

inline

## Member Function Documentation

## end()

template<typename IteratorT, typename FilterT>

Index32 end | ( |  | ) | const

inline

## getCoord() [1/2]

template<typename IteratorT, typename FilterT>

Coord getCoord | ( |  | ) | const

inline

Return the coordinates of the item to which the value iterator is pointing.

## getCoord() [2/2]

template<typename IteratorT, typename FilterT>

void getCoord | ( | Coord & | xyz | ) | const

inline

Return in xyz the coordinates of the item to which the value iterator is pointing.

## increment()

template<typename IteratorT, typename FilterT>

bool increment | ( |  | ) |

inline

## isValueOn()

template<typename IteratorT, typename FilterT>

bool isValueOn | ( |  | ) | const

inline

Return `true` if this iterator is pointing to an active value.

## next()

template<typename IteratorT, typename FilterT>

bool next | ( |  | ) |

inline

Advance to the next (valid) item.

## operator bool()

template<typename IteratorT, typename FilterT>

operator bool | ( |  | ) | const

inline

Return `true` if this iterator is not yet exhausted.

## operator!=()

template<typename IteratorT, typename FilterT>

bool operator!= | ( | const ValueIndexIter & | other | ) | const

inline

## operator*() [1/2]

template<typename IteratorT, typename FilterT>

Index32 operator* | ( |  | ) |

inline

Returns the item to which this iterator is currently pointing.

## operator*() [2/2]

template<typename IteratorT, typename FilterT>

Index32 operator* | ( |  | ) | const

inline

## operator++()

template<typename IteratorT, typename FilterT>

ValueIndexIter & operator++ | ( |  | ) |

inline

Advance to the next (valid) item (prefix).

## operator=()

template<typename IteratorT, typename FilterT>

ValueIndexIter & operator= | ( | const ValueIndexIter & |  | ) |

default

## operator==()

template<typename IteratorT, typename FilterT>

bool operator== | ( | const ValueIndexIter & | other | ) | const

inline

Equality operators.

## reset()

template<typename IteratorT, typename FilterT>

void reset | ( | Index32 | item,
|  | Index32 | end )

inline

## test()

template<typename IteratorT, typename FilterT>

bool test | ( |  | ) | const

inline

## valueIter()

template<typename IteratorT, typename FilterT>

const IteratorT & valueIter | ( |  | ) | const

inline

Return the const value iterator.